> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# get-external-app

> Read a single app by id, key, or uuid.



## OpenAPI

````yaml /api-reference/membrane-api.json get /external-apps/{idOrKeyOrUuid}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-apps/{idOrKeyOrUuid}:
    get:
      summary: get-external-app
      description: Read a single app by id, key, or uuid.
      operationId: getExternalApp
      parameters:
        - name: idOrKeyOrUuid
          in: path
          required: true
          schema:
            type: string
            description: External app id, key, or uuid
      responses:
        '200':
          description: Read a single app by id, key, or uuid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  key:
                    type: string
                  uuid:
                    type: string
                  name:
                    type: string
                  isReadOnly:
                    type: boolean
                  isPublic:
                    type: boolean
                required:
                  - id
                  - key
                  - name
                additionalProperties: {}
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````